/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.kalumet.console.services;

import org.apache.kalumet.console.configuration.ConfigurationManager;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;

/**
 * This servlet reads the Kalumet configuration store and push it to the
 * servlet response stream.
 */
public class KalumetConfigurationWrapperServlet
  extends HttpServlet
{

  public void doGet( HttpServletRequest req, HttpServletResponse resp )
    throws ServletException, IOException
  {
    PrintWriter writer = resp.getWriter();
    String content;
    try
    {
      content = ConfigurationManager.readStore();
    }
    catch ( Exception e )
    {
      throw new ServletException( "Can't read the Apache Kalumet configuration store", e );
    }
    writer.print( content );
    writer.flush();
    writer.close();
  }

}
